#ifndef MISC_H_
#define MISC_H_

#include "vgi.h"

struct vgi_misc {
  struct VG_Hash *hset_gc;
  struct {             /* for positioning background-image */
    int bg_w, bg_h;      /* width and height of background-image */
    int win_w, win_h;    /* width and height of window */
    int move_pixel;      /* number of pixels moving window per loop */
    int pcnt_w, pcnt_h;  /* width and height of rectangle withing window for not-moving */
    VG_BOOL is_moving;   /* whether is moving */
    int bg_x, bg_y;      /* background-position */
    VG_BOOL do_atonce;   /* whether focus immediatelly at next call */
  } bgmove;
};

extern void init_misc_str(void);
extern void init_misc_bgposition(void);
extern void init_misc_saveload(void);
extern void init_misc_base64(void);
extern void init_misc_utf8(void);

#endif /* MISC_H_ */
